跳至內容
ShopentlyLearn

取消匯入

捨棄未完成的草稿。此操作不會撤回已確認的入庫記錄。

DELETE/api/v1/inventory/products/{product_id}/digital-imports/{import_id}

cURL 請求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request DELETE \
  --url 'https://shop.onshopently.com/api/v1/inventory/products/example/digital-imports/00000000-0000-4000-8000-000000000001?expected_version=1' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: 786bad73-d0c0-5909-afa0-efb95ae35ad7'

回應

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000001",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

所需權限

身份驗證
存取權杖
最低方案
STANDARD
金鑰權限
撤下尚未交付的代碼和檔案inventory.digital_unit:delete